Bug 516558 - cannot switch alt-button2 and alt-button3 when using desktop effects (compiz)
cannot switch alt-button2 and alt-button3 when using desktop effects (compiz)
Status: CLOSED DUPLICATE of bug 532229
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-10 09:14 EDT by David Pravec
Modified: 2010-01-20 21:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 21:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Pravec 2009-08-10 09:14:57 EDT
Description of problem:
using desktop effects (compiz) in gnome i can:
1. alt+leftclick -- drag the window around.
2. alt+rightclick -- window menu (minimise, unmaximise, etc).
3. alt+middleclick -- resize the window.

i would love to switch behaviour for alt+rightclick and alt+middleclick. But when i configure it using ccsm, its not working.

Version-Release number of selected component (if applicable):
compiz-0.7.8-19.fc11.x86_64
ccsm-0.7.8-2.fc11.noarch

How reproducible: everytime

Steps to Reproduce:

intall ccsm, run it

initial settings:
 Move Window -> Initiate Window Move : <Alt>Button1
 Resize -> Bindings -> Initiate Window Resize : <Alt>Button2
 General Options -> Window Menu : <Alt>Button3

So it seems that my Button2 and Button3 are switched.
Ok, so I'll just swap the bindings:

 Set General Options -> Window Menu = <Alt>Button2
 in Window management -> Resize Window -> Initiate Window Resize = <Alt>Button3


Actual results:
<Alt>-button3 is still opening Window Menu, configuration is not working.

Expected results:
Resize windows using <alt>Button3

Additional info:
This bug is similar to (but not identical): https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/207065

I have found somewhere on the net that in ccsm -> preferences i can disable integration into desktop environment, which migh make this work -- but unfortunatelly i am not able to uncheck the box, as the box and text is gray (disabled for user).
Comment 2 Matěj Cepl 2009-11-05 13:36:15 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2009-11-17 07:02:28 EST
Switching incorrect assignees to the default one.
Comment 4 Chris Campbell 2009-12-31 09:14:50 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Hamidou Dia 2010-01-10 23:22:46 EST
Hi David,

The fact is that ccsm is not working out-of-the-box with Fedora right (and for
sometimes already):

I don´t know if your problem is related to that (changes in ccsm not taken in account), if your issue is a completely different one.

https://fedoraproject.org/wiki/Common_F12_bugs#ccsm-compiz-no-changes.

There is already talks about it, our maintainers already know about (I put the
link FYI https://bugzilla.redhat.com/show_bug.cgi?id=532229)

So if you want changes in ccsm to be taken into account, you'll have first
to edit /usr/bin/compiz-gtk, and change "gconf" by "ccp".
Disable and enable again the desktop effects, and you should be on.

(PS: you may need to edit again if the file is updated in the future until
this is fixed)

(PS2: If this really doesn't work (well it should), check modification date and
perms for your user's  .config/compiz/compizconfig/* )

Please could you confirm that with this your setting changes are taken into account ?

We are looking forward for your feedback.

Regards.
And happy 2009 ending.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Hamidou Dia 2010-01-10 23:23:25 EST
I meant happy new year 2010 ^_^
Comment 7 Hamidou Dia 2010-01-20 21:48:24 EST
Hi David,

I finally got my hand on a proper 3 buttons/mouse.

And it works as expected if you follow https://bugzilla.redhat.com/show_bug.cgi?id=516558#c5

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 532229 ***

Note You need to log in before you can comment on or make changes to this bug.